# LightWalletdInfo

    public protocol LightWalletdInfo

Undocumented

- `version`

  Undocumented

  #### Declaration

  Swift

      var version: String { get }

- `vendor`

  Undocumented

  #### Declaration

  Swift

      var vendor: String { get }

- `taddrSupport`

  true

  #### Declaration

  Swift

      var taddrSupport: Bool { get }

- `chainName`

  either “main” or “test”

  #### Declaration

  Swift

      var chainName: String { get }

- `saplingActivationHeight`

  depends on mainnet or testnet

  #### Declaration

  Swift

      var saplingActivationHeight: UInt64 { get }

- `consensusBranchID`

  protocol identifier, see consensus/upgrades.cpp

  #### Declaration

  Swift

      var consensusBranchID: String { get }

- `blockHeight`

  latest block on the best chain

  #### Declaration

  Swift

      var blockHeight: UInt64 { get }

- `gitCommit`

  Undocumented

  #### Declaration

  Swift

      var gitCommit: String { get }

- `branch`

  Undocumented

  #### Declaration

  Swift

      var branch: String { get }

- `buildDate`

  Undocumented

  #### Declaration

  Swift

      var buildDate: String { get }

- `buildUser`

  Undocumented

  #### Declaration

  Swift

      var buildUser: String { get }

- `estimatedHeight`

  less than tip height if zcashd is syncing

  #### Declaration

  Swift

      var estimatedHeight: UInt64 { get }

- `zcashdBuild`

  example: “v4.1.1-877212414”

  #### Declaration

  Swift

      var zcashdBuild: String { get }

- `zcashdSubversion`

  example: “/MagicBean:4.1.1/”

  #### Declaration

  Swift

      var zcashdSubversion: String { get }

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.